# Используем образ Go с поддержкой мультиплатформенности
FROM golang:1.24

# Устанавливаем пакеты (одинаково работают на amd64/arm64)
RUN apt-get update && \
    apt-get install -y --no-install-recommends \
    git \
    ca-certificates \
    jq && \
    rm -rf /var/lib/apt/lists/*

# (Опционально) Можно добавить команду по умолчанию
CMD ["bash"]